// $Id: contentoptimizer.js,v 1.1 2009/04/01 14:49:51 tomdude48 Exp $

if (Drupal.jsEnabled) {
  $(document).ready(function () {
	if(Drupal.settings.contentoptimizer.analyze_on_start == 1) {
	  contentoptimizer_analyze();	 
    }
  });
}

var contentoptimizer_analyze = function() {
	
	// if TinyMCE is used, turn off and on to save body text to textarea
	if(typeof mceToggle == 'function') {
		mceToggle('edit-body', 'wysiwyg4body');
	}
	
	var keyword = document.getElementById('edit-contentoptimizer-keyword').value;
	var title = $('[name=title]').val();
	
	var body = $('[name=body]').val();
	var page_title = -1;
	if($('[name=page_title]').length > 0) {
	  page_title = $('[name=page_title]').val();
	}
  
	var meta_keywords = -1;
	if(document.getElementById('edit-nodewords-keywords') != null) {
	  meta_keywords = document.getElementById('edit-nodewords-keywords').value;
	}
	var meta_description = -1;
	if(document.getElementById('edit-nodewords-description') != null) {
	  meta_description = document.getElementById('edit-nodewords-description').value;
	}
	
	if(typeof mceToggle == 'function') {
		mceToggle('edit-body', 'wysiwyg4body');
	}
	
	$.ajax({
		type: 'POST',
		url: Drupal.settings.contentoptimizer.analyze_callback,
		data: { 
			'keyword':keyword, 
			'title':title, 
			'page_title':page_title, 
			'body':body, 
			'meta_keywords':meta_keywords, 
			'meta_description':meta_description, 
			'nid': Drupal.settings.contentoptimizer.nid, 
		},
		dataType: 'json',
		success: function(data, textStatus) {
			
			//alert("success data="+data.page_title['msg']);
			if(Drupal.settings.contentoptimizer.display_sections == 1) {
				if($('#edit-page-title-wrapper').length > 0) {
					$('#edit-page-title-wrapper > div.contentoptimizer_analysis').remove();
					$('#edit-page-title-wrapper').append(data.page_title['msg']);
				} else {
					$('#edit-title-wrapper > div.contentoptimizer_analysis').remove();
					$('#edit-title-wrapper').append(data.page_title['msg']);				
				}
	
				$('#edit-body-wrapper > div.contentoptimizer_analysis').remove();
				$('#edit-body-wrapper').append(data.body['msg']);
				
        if(($('#edit-nodewords-description-wrapper').length > 0) && data.meta_description != null) {
				  $('#edit-nodewords-description-wrapper > div.contentoptimizer_analysis').remove();
				  $('#edit-nodewords-description-wrapper').append(data.meta_description['msg']);
				}
        
        if(($('#edit-nodewords-keywords-wrapper').length > 0) && data.meta_keywords != null) {
				  $('#edit-nodewords-keywords-wrapper > div.contentoptimizer_analysis').remove();
				  $('#edit-nodewords-keywords-wrapper').append(data.meta_keywords['msg']);
        }
			}
			$('fieldset.contentoptimizer > div.contentoptimizer_analysis').remove();
			$('fieldset.contentoptimizer').append(data.general['msg']);
			
		},
		error: function(XMLHttpRequest, textStatus, errorThrown) {
			alert("error ");
		},
	});
	
	return false;	
	
	$.post(
	  callback,
	  { 'phrase':phrase, 'title':title, 'page_title':page_title, 'body':body, 'keywords':keywords, 'description':description},
	  function(data) {
		alert(data.phrase);  
	  }
	)
	
	return false;
	
	$.getJSON(
	  callback,
	  { 'phrase':phrase, 'title':title, 'page_title':page_title, 'body':body, 'keywords':keywords, 'description':description},
	  function(data) {
		alert(data.data);  
	  }
	)
	
	return false;
	
	


}